Jobs

Get job

GET
/v3/aftermarket/customers/{customerId}/jobs/{jobId}

Gets details of a job

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

jobId*string

A unique identifier for the job

Formatuuid
customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Header Parameters

X-Request-Id?string

A unique identifier for the request

Response Body

Result of the job using the jobId

application/json
  1. response
description?string

Description of the job

Lengthlength <= 255
jobId*string

The unique identifier of the job.

Formatuuid
completedAt?string

UTC timestamp of when the job was completed at

Formatdate-time
createdAt*string

UTC timestamp of when the job was created

Formatdate-time
failedReason?string

Provides a high level explanation of the job failure if the jobState is in FAILED status.

jobState*string
Value in"CREATED""DATA_UPLOADED""CLOSED""RUNNING""FAILED""COMPLETED""CANCELED"
percentComplete?number
Formatdouble
totalFailures?integer
Formatint32
totalRequests?integer
Formatint32
totalSuccess?integer
Formatint32
type*string
Value in"BULK_JOB""RECONCILE_JOB"
Example Request
curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "completedAt": "2020-01-01T00:00:00Z",  "createdAt": "2020-01-01T00:00:00Z",  "failedReason": "Invalid CSV file provided",  "jobState": "CREATED",  "percentComplete": 0.1,  "totalFailures": 0,  "totalRequests": 0,  "totalSuccess": 0,  "type": "BULK_JOB",  "description": "my first job",  "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39"}